Rotate Proxy Key
Update default lifetime of the certificate
Update default lifetime of the certificate and rotate current keys
Request
URI
POST
https://{api_host}/api/ni/customers/collector/data-encryption-cert/update
COPY
Responses
200
OK
Returns
ProxyKeyRotationStatus
of type(s)
application/json
{
"customerId": 0,
"status": "string",
"failedCollectorIds": [
"string"
]
}
integer As int32
As int32
customerId
Optional
Customer id
string
status
Optional
status
Possible values are :
SUBMITTED,
IN_PROGRESS,
SUCCESS,
FAILED,
array of
string
failedCollectorIds
Optional
List of collector ids for which proxy key rotation failed
400
Bad Request
Returns
BadRequestResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
409
Conflict
Returns
ConflictResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' https://{api_host}/api/ni/customers/collector/data-encryption-cert/update
Customers Operations
POST
Rotate Proxy Key
GET
Get Proxy Key Rotation Status
GET
Get Proxy Key Details